Subject: [netext] Roaming etc. - some definitions

From: Marco Liebsch <[email-masked]>
Date: Wed, 09 Sep 2009 18:18:41 +0200

In the context of the discussion about localized routing in roaming cases,
please see below definitions as starting point. Please comment, so we can
converge and reflect the common picture in the PS draft.

Definitions:

+ "PMIPv6 domain" defined as in RFC5213

+ "Administrative domain" (in the context of this discussion): A 
collection of network components (Routers, MAGs, LMAs)
and the interconnecting network managed by a single administrative 
authority. In the context of this discussion,
an administrative authority can be understood as an operator within one 
country. "Within one country" is in my opinion
necessary to distinguish say T-Mobile Germany from T-Mobile US, looks 
like one operator,
but are in fact different PLMNs. Hence, ddministrative domain is 
identified by the tuple Operator + Country code.
Alternatively, we can use/define PLMN if this is preferable.

+ "Roaming": attachment of a subscriber from administrative domain/PLMN 
(PLMN A) in the network of a different
administrative domain (PLMN B). This includes national as well as 
international roaming.

Best regards,
marco

---

From: <[email-masked]>
Date: Wed, 9 Sep 2009 18:35:34 +0200

Hi Marco,

> Alternatively, we can use/define PLMN if this is preferable.

I don't think the scoping of administrative domain being limited to "within
one country" is a good choice. Also the term PLMN is definitely not
something we should be taking into the lexicon of this I-D.

Maybe you can reuse the terminology of Administrative domain from RFC1136 or
for a more recent one in RFC4375 which defines it as:

"   Administrative Domain:  The collection of resources under the
     control of a single administrative authority.  This authority
     establishes the design and operation of a set of resources
     (i.e., the network).
"

We should avoid MCC+MNC type of identifiers and at best use them only as an
example.

> administrative domain (PLMN B). This includes national as well as

Again, I think it is best to avoid PLMN concepts here. Maybe reuse the term
defined by the Roamops WG in the RFC2486 :
"
   Roaming Capability
             Roaming capability can be loosely defined as the ability to
             use any one of multiple Internet service providers (ISPs),
             while maintaining a formal, customer-vendor relationship
             with only one. Examples of cases where roaming capability
             might be required include ISP "confederations" and ISP-
             provided corporate network access support.
"

I think the above would suffice in the context of this discussion.

-Raj

> 
> 
> Best regards,
> marco
> 
> 
> 
> 
> 
> _______________________________________________
> netext mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netext

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 9 Sep 2009 09:32:29 -0700 (PDT)

Marco, administrative domain is defined in RFC 1136
http://tools.ietf.org/html/rfc1136

in 1989, i.e. 20 years ago.

Are you trying to reinvent the wheel?

Regards,

Behcet

----- Original Message ----
> From: Marco Liebsch <[email-masked]>
> To: [email-masked]
> Sent: Wednesday, September 9, 2009 11:18:41 AM
> Subject: [netext] Roaming etc. - some definitions
> 
> + "Administrative domain" (in the context of this discussion): A collection of 
> network components (Routers, MAGs, LMAs)
> and the interconnecting network managed by a single administrative authority. In 
> the context of this discussion,
> an administrative authority can be understood as an operator within one country. 
> "Within one country" is in my opinion
> necessary to distinguish say T-Mobile Germany from T-Mobile US, looks like one 
> operator,
> but are in fact different PLMNs. Hence, ddministrative domain is identified by 
> the tuple Operator + Country code.
> + "Roaming": attachment of a subscriber from administrative domain/PLMN (PLMN A) 
> in the network of a different
> administrative domain (PLMN B). This includes national as well as international 
> roaming.
> 
> 
> Best regards,
> marco
> 
> 
> 
> 
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 9 Sep 2009 11:05:06 -0700 (PDT)

I agree.

Regards,

Behcet

----- Original Message ----
> From: "[email-masked]" <[email-masked]>
> To: [email-masked]; [email-masked]
> Sent: Wednesday, September 9, 2009 11:35:34 AM
> Subject: Re: [netext] Roaming etc. - some definitions
> 
> 
> Hi Marco,
> 
> 
> On 9/9/09 11:18 AM, "ext Marco Liebsch" wrote:
>

---

From: Marco Liebsch <[email-masked]>
Date: Thu, 10 Sep 2009 09:58:58 +0200

> Are you trying to reinvent the wheel?
wheel, good idea. Let's go for it.. ;-)
No, just propose a definition in the context of this discussion and 
localized routing.
Discussion is about deployment scenarios. So, 3GPP is one candidate to 
deploy
localized routing. And so far we mixed terms such as H/VPLMN, administrative
domain, PMIPv6 domain. Hence, a 3GPP oriented attempt for a definition. 
If you
think the referred definitions suit the discussion, fine with me.

Greetings,
marco

---

From: Marco Liebsch <[email-masked]>
Date: Thu, 10 Sep 2009 10:07:05 +0200

Hi Raj,

>      establishes the design and operation of a set of resources
Fine, if this is clear to everybody for the discussion we have.
I am ok with it.

> We should avoid MCC+MNC type of identifiers and at best use them only as an
Sure, they are examples to support understanding of the scope.
> I think the above would suffice in the context of this discussion.
Same as above: If it's clear to everybody when these definitions are
used in the context of localized routing deployment within operator 
networks, fine with me.

marco